"""server URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf import settings
from django.conf.urls.static import static
from django.views import generic

#translation imports
from django.conf.urls.i18n import i18n_patterns
from django.urls import include, path


urlpatterns = [
    url(r'^api/', include('djangoldp.urls')),
    url(r'^admin/', admin.site.urls),
    url(r'^total_votes/', admin.site.urls),
    url(r'^i18n/', include('django.conf.urls.i18n')),
    url(r'^', generic.TemplateView.as_view(template_name='index.html'), name='index'),
]
urlpatterns += i18n_patterns(
    prefix_default_language = False
)


if settings.DEBUG:
  urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
  urlpatterns += staticfiles_urlpatterns()
  urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
